Note: This release is in preview. Features described here don’t become generally available until the latest general availability date that Salesforce announces for this release. Before then, and where features are noted as beta, pilot, or developer preview, we can’t guarantee general availability within any particular time frame or at all. Make your purchase decisions only on the basis of generally available products and features.

Get the Status of Your Portability Request

See the status of your Portability POST request by using a Portability GET request. Use the policy file ID from the POST method response to execute the GET method. This resource is available in REST API version 50.0 and later.

To use the Portability API, you must have the ModifyAllData or PrivacyDataAccess user permission. Ensure that your Salesforce admin has granted you these permissions.

The response body contains this information:
Value Description
policyFileStatus The status of the file being compiled. Values are: In Progress, Complete, or Failed.
policyFileURL The URL to a servlet, where you download the file after it's compiled.
policyFileID The ID of the file being compiled, which is returned in the POST method response. The ID is 15 characters.

Starting with the Spring ‘21 release, Privacy Center automatically deletes files generated by Portability API after 60 days. You receive a reminder seven days before a file is deleted.

Note

Syntax

URI: /services/data/vXX.X/consent/dsr/rtp/execute

Formats: JSON

HTTP methods: GET

Authentication: Authorization: Bearer token

Request body: None

Request parameters

Parameter Description
policyFileId The ID of the file being compiled, which is returned in the POST method response. The ID is 15 characters.

Example

Example Request

1curl https://MyDomainName.my.salesforce.com/services/data/v67.0/consent/dsr/rtp/execute?policyFileId=0jeS70000004CBO -H "Authorization: Bearer token"

Example Response Body

1{ 
2   “status" : "SUCCESS",
3   "warnings" : [ ], 
4   "result" : { 
5       "policyFileStatus" : "Failed", 
6       "policyFileUrl" : "https://MyDomainName.my.salesforce.com/servlet/policyFileDownload?file=0jeS70000004CBO", 
7       "policyFileId" : "0jeS70000004CBO" 
8   } 
9}